Bug 828416 - [ru] failed pofilter xmltags tests for subscription-manager translations
[ru] failed pofilter xmltags tests for subscription-manager translations
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Adrian Likins
Entitlement Bugs
:
Depends On:
Blocks: 771481
  Show dependency treegraph
 
Reported: 2012-06-04 13:41 EDT by Sharath Dwaral
Modified: 2015-03-22 21:13 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 11:50:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sharath Dwaral 2012-06-04 13:41:32 EDT
Description of problem:
The gnome xmltags were not properly translated for 'ta_IN' language.  Sample output is shown below, 


Version-Release number of selected component (if applicable):
[root@fsharath-rhel63server ~]# rpm -q subscription-manager
subscription-manager-0.99.19-1.el6.x86_64

How reproducible:


Steps to Reproduce:

[root@fsharath-rhel63server ~]#  msgunfmt --no-wrap /usr/share/locale/ru/LC_MESSAGES/rhsm.mo -o /usr/share/locale/ru/LC_MESSAGES/rhsm.po
[root@fsharath-rhel63server ~]# pofilter --gnome -t xmltags /usr/share/locale/ru/LC_MESSAGES/rhsm.po
processing 1 files...
msgid ""
msgstr ""
"Project-Id-Version: ru\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2012-05-16 08:40-0400\n"
"PO-Revision-Date: 2012-04-12 09:07-0400\n"
"Last-Translator: ypoyarko <ypoyarko@redhat.com>\n"
"Language-Team: Russian\n"
"Language: ru\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%"
"10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
"X-Generator: Zanata 1.5.0\n"

# (pofilter) xmltags: Different XML tags
msgid "After opening Subscription Manager, manually subscribe via the <b>All Available Subscriptions</b> tab."
msgstr "Чтобы выделить  системе полномочия вручную, перейдите на вкладку «Доступные подписки»."

# (pofilter) xmltags: Different XML tags
msgid "Product entitlement certificates <i>valid</i> until %s"
msgstr "Срок действия сертификатов полномочий истекает %s"

# (pofilter) xmltags: Different XML tags
msgid "You have <b>%s</b> products with <i>invalid</i> entitlement certificates."
msgstr "Всего продуктов с недействительными сертификатами: <b>%s</b>"

Actual results:
Shown above

Expected results:

Missing XMLTags

Additional info:

http://translate.sourceforge.net/wiki/toolkit/pofilter_tests#xmltags
Comment 5 Sharath Dwaral 2012-06-04 17:42:10 EDT
>Description of problem:
>The gnome xmltags were not properly translated for 'ru' language.  Sample >output is shown below,
Comment 6 RHEL Product and Program Management 2012-07-10 04:47:08 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 7 RHEL Product and Program Management 2012-07-10 21:49:47 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 8 Sharath Dwaral 2012-07-24 18:00:31 EDT
Version:
# rpm -qa| egrep "subscription-manager|python-rhsm"
subscription-manager-migration-1.0.10-1.git.25.8954ca8.el5
subscription-manager-1.0.10-1.git.25.8954ca8.el5
subscription-manager-migration-data-1.11.2.2-1.git.0.2eea155.el5
python-rhsm-1.0.3-1.git.34.b74ea4f.el5
subscription-manager-firstboot-1.0.10-1.git.25.8954ca8.el5
subscription-manager-gui-1.0.10-1.git.25.8954ca8.el5

How to Reproduce:

# msgunfmt --no-wrap /usr/share/locale/ru/LC_MESSAGES/rhsm.mo -o /usr/share/locale/ru/LC_MESSAGES/rhsm.po
# pofilter --gnome -t xmltags /usr/share/locale/ru/LC_MESSAGES/rhsm.po
processing 1 files...
msgid ""
msgstr ""
"Project-Id-Version: ru\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2012-07-18 10:48-0400\n"
"PO-Revision-Date: 2012-06-28 02:43-0400\n"
"Last-Translator: ypoyarko <ypoyarko@redhat.com>\n"
"Language-Team: Russian\n"
"Language: ru\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%"
"10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
"X-Generator: Zanata 1.6.1\n"

# (pofilter) xmltags: Different XML tags
msgid "Product entitlement certificates <i>valid</i> until %s"
msgstr "Срок действия сертификатов истекает %s"

Actual Result:
shown above

Expected Result:
The translated string is missing tags
Comment 9 John Sefler 2013-01-09 18:02:14 EST
Verifying Version...
[root@jsefler-6 ~]# rpm -q subscription-manager
subscription-manager-1.1.21-1.el6.x86_64

[root@jsefler-6 ~]# msgunfmt --no-wrap /usr/share/locale/ru/LC_MESSAGES/rhsm.mo -o /usr/share/locale/ru/LC_MESSAGES/rhsm.po

[root@jsefler-6 ~]# pofilter --gnome -t xmltags /usr/share/locale/ru/LC_MESSAGES/rhsm.po
processing 1 files...
msgid ""
msgstr ""
"Project-Id-Version: PACKAGE VERSION\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2012-12-11 16:38-0500\n"
"PO-Revision-Date: 2013-01-09 10:06-0500\n"
"Last-Translator: alikins <alikins@redhat.com>\n"
"Language-Team: Russian\n"
"Language: ru\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%"
"10<=4 && (n%100<10 || n%100>=20) ? 1 : 2)\n"
"X-Generator: Zanata 2.0.2\n"

# (pofilter) xmltags: Different XML tags
msgid "After opening Red Hat Subscription Manager, manually attach subscriptions via the <b>All Available Subscriptions</b> tab."
msgstr "Выделить подписки вручную можно в программе управления подписками, на вкладке доступных подписок."
[###########################################] 100%


FAILED-QA: Expected the bold <b> </b> tags to surround the Russian translation for "All Available Subscriptions".

[root@jsefler-6 ~]# grep -A1 "\"All Available Subscriptions\"" /usr/share/locale/ru/LC_MESSAGES/rhsm.po
msgid "All Available Subscriptions"
msgstr "Доступные подписки"


The "All Available Subscriptions" translation is used as a label for a tab in the subscription-manager-gui.  When the user runs subscription-manager-gui in Russian, they will see a tab labeled "Доступные подписки".  Therefore, it would make sense to me that the failing msgstr above contain "<b>Доступные подписки</b>"
Comment 10 Yulia 2013-01-09 18:49:25 EST
<b>All Available Subscriptions</b> fix implemented in 
https://translate.zanata.org/zanata/iteration/files/subscription-manager/1.1.X/ru
Comment 11 John Sefler 2013-01-17 10:53:51 EST
Verifying Version...
[root@jsefler-6 ~]# rpm -q subscription-manager
subscription-manager-1.1.22-1.el6.x86_64


[root@jsefler-6 ~]# msgunfmt --no-wrap /usr/share/locale/ru/LC_MESSAGES/rhsm.mo -o /usr/share/locale/ru/LC_MESSAGES/rhsm.po

[root@jsefler-6 ~]# grep -A1 "\"All Available Subscriptions\"" /usr/share/locale/ru/LC_MESSAGES/rhsm.po
msgid "All Available Subscriptions"
msgstr "Доступные подписки"

[root@jsefler-6 ~]# grep -A1 "After opening" /usr/share/locale/ru/LC_MESSAGES/rhsm.po
msgid "After opening Red Hat Subscription Manager, manually attach subscriptions via the <b>All Available Subscriptions</b> tab."
msgstr "Выделить подписки вручную можно в программе управления подписками, на вкладке <b>Доступные подписки</b>."

[root@jsefler-6 ~]# pofilter --gnome -t xmltags /usr/share/locale/ru/LC_MESSAGES/rhsm.po
processing 1 files...
[###########################################] 100%


VERIFIED: the pofilter xmltags test is now passing for ru
VERIFIED: the translation for <b>All Available Subscriptions</b> is surrounded by the bold xmltags.

Note You need to log in before you can comment on or make changes to this bug.